Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class ObjectFactory

Constructor Summary
`ObjectFactory()`

Method Summary
`Class` | `loadClass(ClassLoader classLoader, String classname)`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map properties)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

Constructor Detail

### ObjectFactory

    ObjectFactory()

Method Detail

### loadClass

    Class loadClass(ClassLoader classLoader, String classname)

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map properties)

### setChild

    public void setChild(FactoryBuilderSupport builder, Object parent, Object child)

### setParent

    public void setParent(FactoryBuilderSupport builder, Object parent, Object child)